Package org.eclipse.cdt.core

# Interface IConsoleParser2

All Superinterfaces:
  `IConsoleParser`

All Known Implementing Classes:
  `CBuildConfiguration`, `StandardBuildConfiguration`

public interface IConsoleParser2 extends IConsoleParser

Since:
  6.5

## Method Summary

Modifier and Type
Method
Description
`boolean`
`processLine(String s, List<org.eclipse.core.runtime.jobs.Job> jobList)`
Process a line of output in a job

### Methods inherited from interface org.eclipse.cdt.core.IConsoleParser

`processLine, shutdown`

## Method Details

### processLine

boolean processLine(String s, List<org.eclipse.core.runtime.jobs.Job> jobList)
Process a line of output in a job

Parameters:
  `s` - - String to process
  `jobList` - - list of jobs to add to
Returns:
  true if line processed, false otherwise